Open CASCADE Technology: TopOpeBRepBuild_WireEdgeSet Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
TopOpeBRepBuild_WireEdgeSet Class Reference

a bound is a wire, a boundelement is an edge. The ShapeSet stores : More...

`#include <TopOpeBRepBuild_WireEdgeSet.hxx>`

Inheritance diagram for TopOpeBRepBuild_WireEdgeSet:
[legend]

## Public Member Functions
| TopOpeBRepBuild_WireEdgeSet (const TopoDS_Shape &F, const Standard_Address Addr=NULL)
| Creates a WireEdgeSet to build edges connected by vertices on face F. Edges of the WireEdgeSet must have a representation on surface of face F. More...
const TopoDS_Face & | Face () const
| value of field myFace More...
virtual void | AddShape (const TopoDS_Shape &S)
| Adds <S> to the list of shapes. (wires or shells). More...
virtual void | AddStartElement (const TopoDS_Shape &S)
| (S is a face or edge) Add S to the list of starting shapes used for reconstructions. apply AddElement(S). More...
virtual void | AddElement (const TopoDS_Shape &S)
| for each subshape SE of S of type mySubShapeType More...
virtual void | InitNeighbours (const TopoDS_Shape &E)
virtual void | FindNeighbours ()
| Build the list of neighbour edges of edge myCurrentShape Initialize iterator of neighbour edges to edge myCurrentShape. More...
virtual const TopTools_ListOfShape & | MakeNeighboursList (const TopoDS_Shape &E, const TopoDS_Shape &V)
virtual void | DumpSS ()
virtual TCollection_AsciiString | SName (const TopoDS_Shape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
virtual TCollection_AsciiString | SName (const TopTools_ListOfShape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
virtual TCollection_AsciiString | SNameori (const TopoDS_Shape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
virtual TCollection_AsciiString | SNameori (const TopTools_ListOfShape &S, const TCollection_AsciiString &sb="", const TCollection_AsciiString &sa="") const
Public Member Functions inherited from TopOpeBRepBuild_ShapeSet
| TopOpeBRepBuild_ShapeSet (const TopAbs_ShapeEnum SubShapeType, const Standard_Boolean checkshape=Standard_True)
| Creates a ShapeSet in order to build shapes connected by <SubShapeType> shapes. <checkshape>:check (or not) the shapes, startelements, elements added. More...
virtual void | Delete ()
virtual | ~TopOpeBRepBuild_ShapeSet ()
const TopTools_ListOfShape & | StartElements () const
| return a reference on myStartShapes More...
void | InitShapes ()
Standard_Boolean | MoreShapes () const
void | NextShape ()
const TopoDS_Shape & | Shape () const
void | InitStartElements ()
Standard_Boolean | MoreStartElements () const
void | NextStartElement ()
const TopoDS_Shape & | StartElement () const
Standard_Boolean | MoreNeighbours ()
void | NextNeighbour ()
const TopoDS_Shape & | Neighbour () const
TopTools_ListOfShape & | ChangeStartShapes ()
Standard_Integer | MaxNumberSubShape (const TopoDS_Shape &Shape)
void | CheckShape (const Standard_Boolean checkshape)
Standard_Boolean | CheckShape () const
Standard_Boolean | CheckShape (const TopoDS_Shape &S, const Standard_Boolean checkgeom=Standard_False)
void | DumpName (Standard_OStream &OS, const TCollection_AsciiString &str) const
void | DumpCheck (Standard_OStream &OS, const TCollection_AsciiString &str, const TopoDS_Shape &S, const Standard_Boolean chk) const
virtual void | DumpBB ()
void | DEBName (const TCollection_AsciiString &N)
const TCollection_AsciiString & | DEBName () const
void | DEBNumber (const Standard_Integer I)
Standard_Integer | DEBNumber () const

## Static Public Member Functions
static void | IsUVISO (const TopoDS_Edge &E, const TopoDS_Face &F, Standard_Boolean &uiso, Standard_Boolean &viso)

## Additional Inherited Members
Protected Member Functions inherited from TopOpeBRepBuild_ShapeSet
void | ProcessAddShape (const TopoDS_Shape &S)
void | ProcessAddStartElement (const TopoDS_Shape &S)
void | ProcessAddElement (const TopoDS_Shape &S)
Protected Attributes inherited from TopOpeBRepBuild_ShapeSet
TopAbs_ShapeEnum | myShapeType
TopAbs_ShapeEnum | mySubShapeType
TopOpeBRepTool_ShapeExplorer | mySubShapeExplorer
TopTools_ListOfShape | myStartShapes
TopTools_ListIteratorOfListOfShape | myStartShapesIter
TopTools_IndexedDataMapOfShapeListOfShape | mySubShapeMap
TopTools_ListIteratorOfListOfShape | myIncidentShapesIter
TopTools_ListOfShape | myShapes
TopTools_ListIteratorOfListOfShape | myShapesIter
TopoDS_Shape | myCurrentShape
TopTools_ListOfShape | myCurrentShapeNeighbours
Standard_Integer | myDEBNumber
TCollection_AsciiString | myDEBName
TopTools_IndexedMapOfOrientedShape | myOMSS
TopTools_IndexedMapOfOrientedShape | myOMES
TopTools_IndexedMapOfOrientedShape | myOMSH
Standard_Boolean | myCheckShape

## Detailed Description

a bound is a wire, a boundelement is an edge. The ShapeSet stores :

- a list of wire (bounds),
- a list of edge (boundelements) to start reconstructions,
- a map of vertex giving the list of edge incident to a vertex.

## Constructor & Destructor Documentation

TopOpeBRepBuild_WireEdgeSet::TopOpeBRepBuild_WireEdgeSet | ( | const TopoDS_Shape & | F,
|  | const Standard_Address | Addr = `NULL`
| ) |  |

Creates a WireEdgeSet to build edges connected by vertices on face F. Edges of the WireEdgeSet must have a representation on surface of face F.

## Member Function Documentation

virtual void TopOpeBRepBuild_WireEdgeSet::AddElement | ( | const TopoDS_Shape & | S | ) |
| virtual

for each subshape SE of S of type mySubShapeType

- Add subshapes of S to the map of subshapes (mySubShapeMap)
- Add S to the list of shape incident to subshapes of S.

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual void TopOpeBRepBuild_WireEdgeSet::AddShape | ( | const TopoDS_Shape & | S | ) |
| virtual

Adds <S> to the list of shapes. (wires or shells).

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual void TopOpeBRepBuild_WireEdgeSet::AddStartElement | ( | const TopoDS_Shape & | S | ) |
| virtual

(S is a face or edge) Add S to the list of starting shapes used for reconstructions. apply AddElement(S).

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual void TopOpeBRepBuild_WireEdgeSet::DumpSS | ( |  | ) |
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

const TopoDS_Face& TopOpeBRepBuild_WireEdgeSet::Face | ( |  | ) | const

value of field myFace

virtual void TopOpeBRepBuild_WireEdgeSet::FindNeighbours | ( |  | ) |
| virtual

Build the list of neighbour edges of edge myCurrentShape Initialize iterator of neighbour edges to edge myCurrentShape.

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual void TopOpeBRepBuild_WireEdgeSet::InitNeighbours | ( | const TopoDS_Shape & | E | ) |
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

static void TopOpeBRepBuild_WireEdgeSet::IsUVISO | ( | const TopoDS_Edge & | E,
|  | const TopoDS_Face & | F,
|  | Standard_Boolean & | uiso,
|  | Standard_Boolean & | viso
| ) |  |
| static

virtual const TopTools_ListOfShape& TopOpeBRepBuild_WireEdgeSet::MakeNeighboursList | ( | const TopoDS_Shape & | E,
|  | const TopoDS_Shape & | V
| ) |  |
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_WireEdgeSet::SName | ( | const TopoDS_Shape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_WireEdgeSet::SName | ( | const TopTools_ListOfShape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_WireEdgeSet::SNameori | ( | const TopoDS_Shape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

virtual TCollection_AsciiString TopOpeBRepBuild_WireEdgeSet::SNameori | ( | const TopTools_ListOfShape & | S,
|  | const TCollection_AsciiString & | sb = `""`,
|  | const TCollection_AsciiString & | sa = `""`
| ) |  | const
| virtual

Reimplemented from TopOpeBRepBuild_ShapeSet.

The documentation for this class was generated from the following file:

- TopOpeBRepBuild_WireEdgeSet.hxx